#ifndef TRAC_HH
#define TRAC_HH

#include <QMainWindow>
#include <QSystemTrayIcon>
#include <QTimer>
#include <QStringList>
#include <QStringListModel>
#include <QListView>
#include <QPushButton>
#include <QLabel>

#include "PortChecker.hh"
#include "Preferences.hh"

#define DEFAULT_TIMER_INTERVAL 60 * 60 * 1000

class Trac : public QMainWindow
{
	Q_OBJECT

	public:
		Trac();
		~Trac();

	public slots:
		void onCheckNow();
		void check();
		void exitProgramme();
		void getList();
		void preferences();

	protected:
		void closeEvent(QCloseEvent *event);

	private:
		QPushButton* checkNowButton;
		QStringList* oldList;
		QStringListModel* model;
		QSystemTrayIcon* trayIcon;
		QTimer* timer;
		QLabel* totalLabel;
		PortChecker* pc;
		Preferences* prefs;

		bool equal(QStringList* list1, QStringList* list2);
		int determineCheckInterval();
		void updateTotalLabel(QStringList* list);
		void initMenuBar();
		void initTrayIcon();
		void initTimer();

	signals:
		void listChanged();
};

#endif // TRAC_HH
